Bug 475754 - Compilation error because of a C++ keyword in /usr/include/real_exception_file.h
Compilation error because of a C++ keyword in /usr/include/real_exception_file.h
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libFoundation (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 05:28 EST by Andrea Tassotti
Modified: 2009-12-18 02:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
libFoundation-1.1.3-11.fc9 libFoundation-devel-1.1.3-11.fc9.i386 libobjc-4.3.2-7.i386 gcc-objc-4.3.2-7.i386 gcc-objc++-4.3.2-7.i386
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This example source code reproduce error (93 bytes, text/x-troff-mm)
2008-12-10 05:28 EST, Andrea Tassotti
no flags Details

  None (edit)
Description Andrea Tassotti 2008-12-10 05:28:20 EST
Created attachment 326480 [details]
This example source code reproduce error

Description of problem:
Error compiling .mm (ObjC + C++ code) source using Foundation.h.

Version-Release number of selected component (if applicable):
libFoundation-devel-1.1.3-11.fc9.i386

How reproducible:
Compiling a simple .mm source importing <Foundation/Foundation.h>

Steps to Reproduce:
1.Use example.mm file attached to this report
2.g++ -lobjc -lFoundation example.mm

Actual results:
/usr/include/real_exception_file.h:68: error: expected identifier before
‘class’
/usr/include/real_exception_file.h:68: error: expected `:' before ‘;’ token
/usr/include/real_exception_file.h:68: error: expected identifier before ‘;’
token

Expected results:
Compilation without errors

Additional info:
identifier "class" MUST be any of "aClass", "clazz", "X" or other
NON-CPP-KEYWORD for use in ObjC/C++ ibridation.

Same bug in FC7, FC8, FC9.
Comment 1 Bug Zapper 2009-11-18 05:25:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:14:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.